Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-sigmund
Version:        1.0.0
Release:        alt1_15
Summary:        Quick and dirty signatures for Objects
BuildArch:      noarch

License:        BSD
URL:            https://github.com/isaacs/sigmund
Source0:        https://registry.npmjs.org/sigmund/-/sigmund-%{version}.tgz

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
Quick and dirty signatures for Objects.

This is like a much faster `deepEquals` comparison, which returns a
string key suitable for caches and the like.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sigmund
cp -pr package.json sigmund.js %{buildroot}%{nodejs_sitelib}/sigmund

%files
%{nodejs_sitelib}/sigmund
%doc README.md bench.js
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_15
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_5
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_3
- initial import

